import 'dart:convert';

class GetEmployeeParking {
  GetEmployeeParkingClass? getEmployeeParking;

  GetEmployeeParking({
    this.getEmployeeParking,
  });

  factory GetEmployeeParking.fromRawJson(String str) => GetEmployeeParking.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory GetEmployeeParking.fromJson(Map<String, dynamic> json) => GetEmployeeParking(
    getEmployeeParking: json["GET_Employee_Parking"] == null ? null : GetEmployeeParkingClass.fromJson(json["GET_Employee_Parking"]),
  );

  Map<String, dynamic> toJson() => {
    "GET_Employee_Parking": getEmployeeParking?.toJson(),
  };
}

class GetEmployeeParkingClass {
  DateTime? createdAt;
  String? employeeCode;
  String? isNewQrCode;
  String? qrCode;
  String? qrCodeImageBase64;
  bool? success;

  GetEmployeeParkingClass({
    this.createdAt,
    this.employeeCode,
    this.isNewQrCode,
    this.qrCode,
    this.qrCodeImageBase64,
    this.success,
  });

  factory GetEmployeeParkingClass.fromRawJson(String str) => GetEmployeeParkingClass.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory GetEmployeeParkingClass.fromJson(Map<String, dynamic> json) => GetEmployeeParkingClass(
    createdAt: json["createdAt"] == null ? null : DateTime.parse(json["createdAt"]),
    employeeCode: json["employeeCode"],
    isNewQrCode: json["isNewQRCode"],
    qrCode: json["qrCode"],
    qrCodeImageBase64: json["qrCodeImageBase64"],
    success: json["success"],
  );

  Map<String, dynamic> toJson() => {
    "createdAt": createdAt?.toIso8601String(),
    "employeeCode": employeeCode,
    "isNewQRCode": isNewQrCode,
    "qrCode": qrCode,
    "qrCodeImageBase64": qrCodeImageBase64,
    "success": success,
  };
}
